#include<bits/stdc++.h>
using namespace std;
int main(){
    int n, q, x, kom;
    cin>>n;
    vector<int> a;
    vector<int> k;
    for(int i=0; i<n; i++){
        cin>>x;
        a.push_back(x);
    }
    for(int i=0; i<n; i++){
        x=a[i];
        k.push_back(x);

    }
    sort(k.rbegin(), k.rend());
    for(int i=0; i<n-1; i++){
        if(k[i]==0) break;
        for(int j=i+1; j<n; j++){
            if(k[j]==0){j=n;}
            else if(k[i]<(k[i]|k[j])){
                x= k[i];
                k[i] = (k[i]|k[j]);
                k[j] = (x & k[j]);
            }
        }
    }
    sort(k.rbegin(), k.rend());
    

    cin>>q;
    int i, j;
    for(int w=0; w<q; w++){
        cin>>kom;
        if(kom==0){
            cin>>i;
            i--;
            cout<<k[i]<<endl;
        }
        else{
            cin>>i>>x;
            i--;
            if(a[i]!=x){
                a[i]=x;
                for(i=0; i<n; i++){
                x=a[i];
                k[i] = x;  }
                
            sort(k.rbegin(), k.rend());
            for( i=0; i<n-1; i++){
                if(k[i]==0) break;
            for( j=i+1; j<n; j++){
                if(k[j]==0){j=n;}
                else if(k[i]<(k[i]|k[j])){
                    x= k[i];
                    k[i] = (k[i]|k[j]);
                    k[j] = (x & k[j]);
            }
            }
            }
            sort(k.rbegin(), k.rend());

            

            }
        }


    }
    cout<<endl;

}